Name:           python-crocoddyl
Version:        3.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A fast and flexible implementation of Rigid Body Dynamics algorithms and their analytical derivatives

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://github.com/loco-3d/crocoddyl/blob/master/CHANGELOG.md
Source:         %{pypi_source crocoddyl}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'crocoddyl' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-crocoddyl
Summary:        %{summary}

%description -n python3-crocoddyl %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-crocoddyl build


%prep
%autosetup -p1 -n crocoddyl-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x build


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-crocoddyl -f %{pyproject_files}


%changelog
%autochangelog